<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Document</title>
  </head>
  <body>
    <h1>Data Selfie App</h1>
    <div><a href="/">enter</a> | <a href="/all.html">list</a></div>

    <script>
        async function getData() {
            const response = await fetch('/api');
            const data = await response.json();

        for (const item of data) {
            const root = document.createElement('p');
            const mood = document.createElement('div');
            const geo = document.createElement('div');
            const date = document.createElement('div');
            const image = document.createElement('img');

            mood.textContent = item.mood;
            geo.textContent = `${item.lat}°, ${item.lon}°`;
            const dateString = new Date (item.timestamp).toLocaleString();
            date.textContent = dateString; 
            image.src = item.image64;

            root.append(mood, geo, date, image);
            document.body.append(root);
        }
        console.log(data);
      }

      getData();
    </script>
</body>
</html>